--[[		NpcHide
]]--		by Kriptonite
local NpcHide = CreateFrame("Frame", "NpcHideFrame", nil)
local toggle = true
local BlizzardTexture = [[Interface\MiniMap\ObjectIcons]]
local HideNPCTexture = [[Interface\AddOns\HideNpcTracking\MiniMapIcons]]

SLASH_NPCHIDE1, SLASH_NPCHIDE2 = '/nhide', '/hidenpc';
local function slashhandler(msg, editbox)
 if (msg == 'toggle') then
	  toggle = not toggle
	  
	  if toggle then
		Minimap:SetBlipTexture(HideNPCTexture)
	  else
		 Minimap:SetBlipTexture(BlizzardTexture)
	  end
	  print('NPC hide is ' .. tostring(toggle))
	  
	  return
 end
 
 print('npchide: valid commands:')
 print('npchide: /hidenpc toggle')
end

SlashCmdList["NPCHIDE"] = slashhandler;

local function onEvent(self, event, ...)
	print(event)
	if (event == "ADDON_LOADED") then
		if _enabled == nil then
			_enabled = true
		else
			toggle = _enabled
		end
	end
	
	if (event == "PLAYER_LOGOUT") then
		_enabled = toggle	
	end
	
	if not toggle then
		return
	end
end

NpcHide:SetScript("OnEvent", onEvent)


if UnitInBattleground("player") or toggle then
	Minimap:SetBlipTexture(HideNPCTexture)
elseif not toggle then
	Minimap:SetBlipTexture(BlizzardTexture)
end

